﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.Order
{
	public class AddOrderAnalysisDto
	{
		/// <summary>
		/// 受理类型
		/// </summary>
		public string AcceptType { get; set; }

		/// <summary>
		/// 受理类型
		/// </summary>
		public string AcceptTypeCode { get; set; }

		/// <summary>
		/// 热点
		/// </summary>
		public string HotspotId { get; set; }

		/// <summary>
		/// 热点
		/// </summary>
		public string HotspotName { get; set; }

		/// <summary>
		/// 区域
		/// </summary>
		public string AreaCode { get; set; }

		/// <summary>
		/// 区域
		/// </summary>
		public string AreaName { get; set; }
	}

	public class DeleteOrderAnalysisDto 
	{
		/// <summary>
		/// 报告id
		/// </summary>
		public string AnalysisId { get; set; }
	}

	public class UpdateOrderAnalysisDto
	{
		/// <summary>
		/// 报告id
		/// </summary>
		public string AnalysisId { get; set; }

		/// <summary>
		/// 报告名称
		/// </summary>
		public string AnalysisName { get; set; }

		/// <summary>
		/// 备注
		/// </summary>
		public string? Remark { get; set; }
	}
	public class OrderAnalysisBaseDto
	{
		public DateTime? LastModificationTime { get; set; }

		public bool IsDeleted { get; set; }

		/// <summary>
		/// 删除时间
		/// </summary>
		public DateTime? DeletionTime { get; set; }


		/// <summary>
		/// 创建时间
		/// </summary>
		public DateTime CreationTime { get; set; }

		public string Id { get; set; }

		/// <summary>
		/// 组织Id
		/// </summary>
		public string? CreatorOrgId { get; set; }


		public string? CreatorOrgName { get; set; }

		/// <summary>
		/// 创建人
		/// </summary>
		public string? CreatorId { get; set; }

		public string? CreatorName { get; set; }
	}
}
